PHPExcel

# Class: PHPExcel_IOFactory

Source Location: /PHPExcel/IOFactory.php

### Class Overview

PHPExcel_IOFactory

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

- addSearchLocation
- createReader
- createReaderForFile
- createWriter
- getSearchLocations
- identify
- load
- setSearchLocations

### Class Details

[line 45]
PHPExcel_IOFactory

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### static method addSearchLocation [line 118]

`static void addSearchLocation( [string $type = ''], [string $location = ''], [string $classname = ''])`

Add search location

#### Tags:

access: | public

#### Parameters:

string | $type | Example: IWriter
string | $location | Example: PHPExcel/Writer/{0}.php
string | $classname | Example: PHPExcel_Writer_{0}

[ Top ]

### static method createReader [line 161]

`static PHPExcel_Reader_IReader createReader( [string $readerType = ''])`

Create PHPExcel_Reader_IReader

#### Tags:

throws: | Exception
access: | public

#### Parameters:

string | $readerType | Example: Excel2007

[ Top ]

### static method createReaderForFile [line 221]

`static PHPExcel_Reader_IReader createReaderForFile( $pFilename, string $pFileName)`

Create PHPExcel_Reader_IReader for file using automatic PHPExcel_Reader_IReader resolution

#### Tags:

throws: | Exception
access: | public

#### Parameters:

string | $pFileName | The name of the spreadsheet file
| $pFilename |

[ Top ]

### static method createWriter [line 132]

`static PHPExcel_Writer_IWriter createWriter( PHPExcel $phpExcel, [string $writerType = ''])`

Create PHPExcel_Writer_IWriter

#### Tags:

throws: | Exception
access: | public

#### Parameters:

PHPExcel | $phpExcel |
string | $writerType | Example: Excel2007

[ Top ]

### static method getSearchLocations [line 89]

`static array getSearchLocations( )`

Get search locations

#### Tags:

access: | public

[ Top ]

### static method identify [line 204]

`static string identify( $pFilename, string $pFileName)`

Identify file type using automatic PHPExcel_Reader_IReader resolution

#### Tags:

throws: | Exception
access: | public

#### Parameters:

string | $pFileName | The name of the spreadsheet file to identify
| $pFilename |

[ Top ]

### static method load [line 190]

`static PHPExcel load( $pFilename, string $pFileName)`

Loads PHPExcel from file using automatic PHPExcel_Reader_IReader resolution

#### Tags:

throws: | Exception
access: | public

#### Parameters:

string | $pFileName | The name of the spreadsheet file
| $pFilename |

[ Top ]

### static method setSearchLocations [line 101]

`static void setSearchLocations( array $value)`

Set search locations

#### Tags:

throws: | Exception
access: | public

#### Parameters:

array | $value |

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:16:30 +0200 by phpDocumentor 1.4.4